## senlin 5.0.1

=== debian/changelog ===
senlin (5.0.1-2.1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 18:01:04 +0000

senlin (5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 10:26:29 +0000

senlin (5.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switch to Python 3.
  * Also package examples and contrib folder in senlin-doc.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2018 15:13:18 +0000

senlin (4.0.0-4) unstable; urgency=medium

  [ David Rabel ]
  * Team upload.
  * Fix encoding in d/po/pt.po.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2018 12:49:11 +0000

senlin (4.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Added pt_BR.po (Closes: #861983).
  * Updated fr.po (Closes: #873469).
  * Updated pt.po (Closes: #876176).
  * Fixed minimum version of python-docker (Closes: #880127).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 Oct 2017 10:36:50 +0000

senlin (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Updated VCS fields.
  * Ran wrap-and-sort -bast.
  * Drop sqlalchemy version patch.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * debian/rules: remove things defined by openstack-pkg-tools.
  * Fixed oslo-config-generator namespace list.
  * Remove dh-systemd build-depends (not needed with debhelper 10).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Oct 2017 16:30:25 +0000
