## senlin 6.0.0~b2

=== debian/changelog ===
senlin (6.0.0~b2-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-senlin package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      senlin-common depends on python-senlin by default and python3-senlin
      as alternative.
    - d/control: move all other python run-time dependencies to
      python(3)-senlin packages.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/python(3)-senlin.post*, d/python(3)-senlin.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-senlin.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for senlin daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
  * d/watch: Scope to 6.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/Fix_unit_tests_to_make_py36_happy.patch: Dropped. Fixed in new
    upstream milestone.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 11:49:18 -0400
