=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: senlin
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -9,29 +10,78 @@
  dh-python,
  openstack-pkg-tools (>= 74~),
  po-debconf,
+ python-all,
+ python-pbr (>= 2.0.0),
+ python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  git,
- python3-babel,
- python3-coverage,
+ python-babel (>= 2.3.4),
+ python-coverage (>= 4.0),
+ python-docker (>= 2.4.2),
+ python-eventlet (>= 0.18.2),
+ python-hacking (>= 0.12.0),
+ python-jsonpath-rw (>= 1.2.0),
+ python-jsonschema (>= 2.6.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystonemiddleware (>= 4.17.0),
+ python-microversion-parse (>= 0.2.1),
+ python-migrate (>= 0.11.0),
+ python-mock (>= 2.0.0),
+ python-openstackdocstheme (>= 1.18.1),
+ python-openstacksdk (>= 0.11.2),
+ python-os-testr (>= 1.0.0),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.context (>= 1:2.19.2),
+ python-oslo.db (>= 4.27.0),
+ python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.messaging (>= 5.29.0),
+ python-oslo.middleware (>= 3.31.0),
+ python-oslo.policy (>= 1.30.0),
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.service (>= 1.24.0),
+ python-oslo.utils (>= 3.33.0),
+ python-oslo.versionedobjects (>= 1.31.2),
+ python-oslotest (>= 1:3.2.0),
+ python-osprofiler (>= 1.4.0),
+ python-paramiko,
+ python-pastedeploy (>= 1.5.0),
+ python-pep8,
+ python-pymysql (>= 0.7.6),
+ python-reno (>= 2.5.0),
+ python-requests (>= 2.14.2),
+ python-routes (>= 2.3.1),
+ python-six (>= 1.10.0),
+ python-sqlalchemy (>= 1.0.10),
+ python-stestr,
+ python-stevedore (>= 1:1.20.0),
+ python-tempest (>= 1:17.1.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 2.2.0),
+ python-tz (>= 2013.6),
+ python-webob (>= 1:1.7.1),
+ python-yaml (>= 3.12),
+ python3-babel (>= 2.3.4),
+ python3-coverage (>= 4.0),
  python3-docker (>= 2.4.2),
- python3-eventlet,
- python3-hacking,
- python3-jsonpath-rw,
+ python3-eventlet (>= 0.18.2),
+ python3-hacking (>= 0.12.0),
+ python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-microversion-parse,
+ python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-mock,
- python3-openstackdocstheme (>= 1.16.0),
- python3-openstacksdk (>= 0.9.19),
+ python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
+ python3-openstacksdk (>= 0.11.2),
  python3-os-testr (>= 1.0.0),
- python3-oslo.config (>= 1:5.1.0),
- python3-oslo.context (>= 2.19.2),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -45,45 +95,103 @@
  python3-oslotest (>= 1:3.2.0),
  python3-osprofiler (>= 1.4.0),
  python3-paramiko,
- python3-pastedeploy,
+ python3-pastedeploy (>= 1.5.0),
  python3-pep8,
- python3-pymysql,
- python3-reno,
+ python3-pymysql (>= 0.7.6),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
- python3-routes,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
+ python3-routes (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stestr,
+ python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-tz,
- python3-webob (>= 1.7.1),
- python3-yaml,
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ python3-yaml (>= 3.12),
  subunit,
  tempest (>= 1:16.1.0),
  testrepository,
 Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/openstack-team/services/senlin
-Vcs-Git: https://salsa.debian.org/openstack-team/services/senlin.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/senlin
 Homepage: https://github.com/stackforge/senlin
+Testsuite: autopkgtest-pkg-python
+
+Package: python-senlin
+Section: python
+Architecture: all
+Depends:
+ python-babel (>= 2.3.4),
+ python-docker (>= 2.4.2),
+ python-eventlet (>= 0.18.2),
+ python-jsonpath-rw (>= 1.2.0),
+ python-jsonschema (>= 2.6.0),
+ python-keystoneauth1 (>= 3.4.0),
+ python-keystonemiddleware (>= 4.17.0),
+ python-microversion-parse (>= 0.2.1),
+ python-migrate (>= 0.11.0),
+ python-openstacksdk (>= 0.11.2),
+ python-oslo.config (>= 1:5.2.0),
+ python-oslo.context (>= 1:2.19.2),
+ python-oslo.db (>= 4.27.0),
+ python-oslo.i18n (>= 3.15.3),
+ python-oslo.log (>= 3.36.0),
+ python-oslo.messaging (>= 5.29.0),
+ python-oslo.middleware (>= 3.31.0),
+ python-oslo.policy (>= 1.30.0),
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.service (>= 1.24.0),
+ python-oslo.utils (>= 3.33.0),
+ python-oslo.versionedobjects (>= 1.31.2),
+ python-osprofiler (>= 1.4.0),
+ python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 2.0.0),
+ python-requests (>= 2.14.2),
+ python-routes (>= 2.3.1),
+ python-six (>= 1.10.0),
+ python-sqlalchemy (>= 1.0.10),
+ python-stevedore (>= 1:1.20.0),
+ python-tz (>= 2013.6),
+ python-webob (>= 1:1.7.1),
+ python-yaml (>= 3.12),
+ ${misc:Depends},
+ ${python:Depends},
+Conflicts:
+ python3-senlin,
+Description: clustering service for OpenStack clouds - Python 2.7
+ Senlin is a clustering service for OpenStack clouds. It creates and operates
+ clusters of homogeneous objects exposed by other OpenStack services. The goal
+ is to make the orchestration of collections of similar objects easier.
+ .
+ Senlin provides RESTful APIs to users so that they can associate various
+ policies to a cluster. Sample policies include placement policy, load
+ balancing policy, health policy, scaling policy, update policy and so on.
+ .
+ Senlin is designed to be capable of managing different types of objects. An
+ object's lifecycle is managed using profile type implementations, which are
+ themselves plugins.
+ .
+ This package provides the Python 2.7 library.
 
 Package: python3-senlin
 Section: python
 Architecture: all
 Depends:
- python3-babel,
+ python3-babel (>= 2.3.4),
  python3-docker (>= 2.4.2),
- python3-eventlet,
- python3-jsonpath-rw,
+ python3-eventlet (>= 0.18.2),
+ python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.3.0),
+ python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
- python3-microversion-parse,
+ python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-openstacksdk (>= 0.9.19),
- python3-oslo.config (>= 1:5.1.0),
- python3-oslo.context (>= 2.19.2),
+ python3-openstacksdk (>= 0.11.2),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
@@ -95,34 +203,34 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.4.0),
- python3-pastedeploy,
+ python3-pastedeploy (>= 1.5.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-routes,
- python3-six,
- python3-sqlalchemy,
- python3-stevedore (>= 1.20.0),
- python3-tz,
- python3-webob (>= 1.7.1),
- python3-yaml,
+ python3-routes (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tz (>= 2013.6),
+ python3-webob (>= 1:1.7.1),
+ python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:
  python-senlin,
-Description: clustering service for OpenStack clouds - Python 2.7
- Senlin is a clustering service for OpenStack clouds. It creates and operates
- clusters of homogeneous objects exposed by other OpenStack services. The goal
- is to make the orchestration of collections of similar objects easier.
- .
- Senlin provides RESTful APIs to users so that they can associate various
- policies to a cluster. Sample policies include placement policy, load
- balancing policy, health policy, scaling policy, update policy and so on.
- .
- Senlin is designed to be capable of managing different types of objects. An
- object's lifecycle is managed using profile type implementations, which are
- themselves plugins.
- .
- This package provides the Python 2.7 library.
+Description: clustering service for OpenStack clouds - Python 3.x
+ Senlin is a clustering service for OpenStack clouds. It creates and operates
+ clusters of homogeneous objects exposed by other OpenStack services. The goal
+ is to make the orchestration of collections of similar objects easier.
+ .
+ Senlin provides RESTful APIs to users so that they can associate various
+ policies to a cluster. Sample policies include placement policy, load
+ balancing policy, health policy, scaling policy, update policy and so on.
+ .
+ Senlin is designed to be capable of managing different types of objects. An
+ object's lifecycle is managed using profile type implementations, which are
+ themselves plugins.
+ .
+ This package provides the Python 3.x library.
 
 Package: senlin-api
 Architecture: all
@@ -131,7 +239,6 @@
  senlin-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python3:Depends},
 Description: clustering service for OpenStack clouds - API
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -153,10 +260,9 @@
  adduser,
  dbconfig-common,
  debconf,
- python3-senlin (= ${binary:Version}),
+ python-senlin (= ${binary:Version}) | python3-senlin (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
- ${python3:Depends},
 Description: clustering service for OpenStack clouds - common files
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -200,7 +306,6 @@
  senlin-common (= ${binary:Version}),
  ${misc:Depends},
  ${ostack-lsb-base},
- ${python3:Depends},
 Description: clustering service for OpenStack clouds - Engine
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
