=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,10 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
+	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_clean:
@@ -43,17 +44,16 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	rm -rf $(CURDIR)/debian/tmp
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
+	rm -rf $(CURDIR)/debian/python-senlin
+	rm -rf $(CURDIR)/debian/python3-senlin
+	pkgos-dh_auto_install
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
+	pkgos-dh_auto_test 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
 endif
-	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
+	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
 	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages python3-oslo-config-generator \
 		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf \
 		--wrap-width 140 \
 		--namespace senlin.config \
@@ -69,7 +69,7 @@
 		--namespace oslo.service.sslutils
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/senlin-common/usr/share/senlin-common/senlin.conf keystone_authtoken senlin
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/senlin-common/usr/share/senlin-common/policy.json \
 		--format json \
 		--namespace senlin
