## senlin 6.0.0~rc1

=== debian/changelog ===
senlin (6.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:39:23 -0400
