=== debian/control ===
--- 
+++ 
@@ -154,6 +154,7 @@
  python-six (>= 1.10.0),
  python-sqlalchemy (>= 1.0.10),
  python-stevedore (>= 1:1.20.0),
+ python-tenacity (>= 4.9.0),
  python-tz (>= 2013.6),
  python-webob (>= 1:1.7.1),
  python-yaml (>= 3.12),
@@ -210,6 +211,7 @@
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
+ python3-tenacity (>= 4.9.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
  python3-yaml (>= 3.12),
