=== debian/tests/control ===
Tests: senlin-daemons, senlin-shebangs-py2
Depends: senlin-api, senlin-engine
Restrictions: needs-root

Tests: senlin-daemons, senlin-shebangs-py3
Depends: python3-senlin, senlin-api, senlin-engine
Restrictions: needs-root
