=== debian/changelog ===
senlin (6.0.0-0ubuntu2) cosmic; urgency=medium

  * d/rules: Ensure /usr/etc is purged from python(3)-senlin packages

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 16:17:43 -0400

senlin (6.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-senlin conflicts on each other.
    - d/python(3)-senlin.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:45:16 -0400
