=== debian/control ===
--- 
+++ 
@@ -160,8 +160,6 @@
  python-yaml (>= 3.12),
  ${misc:Depends},
  ${python:Depends},
-Conflicts:
- python3-senlin,
 Description: clustering service for OpenStack clouds - Python 2.7
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
@@ -217,8 +215,6 @@
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
-Conflicts:
- python-senlin,
 Description: clustering service for OpenStack clouds - Python 3.x
  Senlin is a clustering service for OpenStack clouds. It creates and operates
  clusters of homogeneous objects exposed by other OpenStack services. The goal
