=== debian/rules ===
--- 
+++ 
@@ -47,6 +47,7 @@
 	rm -rf $(CURDIR)/debian/python-senlin
 	rm -rf $(CURDIR)/debian/python3-senlin
 	pkgos-dh_auto_install
+	rm -rf $(CURDIR)/debian/python*-senlin/usr/etc/*
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	pkgos-dh_auto_test 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
