## senlin 7.0.0~b1~git2018111913.0ddbc114

=== debian/changelog ===
senlin (7.0.0~b1~git2018111913.0ddbc114-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:35 -0500
