=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -19,52 +19,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  git,
- python-babel (>= 2.3.4),
- python-coverage (>= 4.0),
- python-docker (>= 2.4.2),
- python-eventlet (>= 0.18.2),
- python-hacking (>= 0.12.0),
- python-jsonpath-rw (>= 1.2.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-microversion-parse (>= 0.2.1),
- python-migrate (>= 0.11.0),
- python-mock (>= 2.0.0),
- python-openstackdocstheme (>= 1.18.1),
- python-openstacksdk (>= 0.11.2),
- python-os-testr (>= 1.0.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslo.versionedobjects (>= 1.31.2),
- python-oslotest (>= 1:3.2.0),
- python-osprofiler (>= 1.4.0),
- python-paramiko,
- python-pastedeploy (>= 1.5.0),
- python-pep8,
- python-pymysql (>= 0.7.6),
- python-reno (>= 2.5.0),
- python-requests (>= 2.14.2),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr,
- python-stevedore (>= 1:1.20.0),
- python-tempest (>= 1:17.1.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-tz (>= 2013.6),
- python-webob (>= 1:1.7.1),
- python-yaml (>= 3.12),
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-docker (>= 2.4.2),
@@ -78,7 +32,8 @@
  python3-migrate (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-openstacksdk (>= 0.11.2),
+ python3-openstacksdk (>= 0.17.2),
+ python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
@@ -90,6 +45,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
@@ -103,7 +59,7 @@
  python3-routes (>= 2.3.1),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
  python3-testscenarios (>= 0.4),
@@ -120,61 +76,6 @@
 Homepage: https://github.com/stackforge/senlin
 Testsuite: autopkgtest-pkg-python
 
-Package: python-senlin
-Section: python
-Architecture: all
-Depends:
- python-babel (>= 2.3.4),
- python-docker (>= 2.4.2),
- python-eventlet (>= 0.18.2),
- python-jsonpath-rw (>= 1.2.0),
- python-jsonschema (>= 2.6.0),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-microversion-parse (>= 0.2.1),
- python-migrate (>= 0.11.0),
- python-openstacksdk (>= 0.11.2),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslo.versionedobjects (>= 1.31.2),
- python-osprofiler (>= 1.4.0),
- python-pastedeploy (>= 1.5.0),
- python-pbr (>= 2.0.0),
- python-requests (>= 2.14.2),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- python-tenacity (>= 4.9.0),
- python-tz (>= 2013.6),
- python-webob (>= 1:1.7.1),
- python-yaml (>= 3.12),
- ${misc:Depends},
- ${python:Depends},
-Description: clustering service for OpenStack clouds - Python 2.7
- Senlin is a clustering service for OpenStack clouds. It creates and operates
- clusters of homogeneous objects exposed by other OpenStack services. The goal
- is to make the orchestration of collections of similar objects easier.
- .
- Senlin provides RESTful APIs to users so that they can associate various
- policies to a cluster. Sample policies include placement policy, load
- balancing policy, health policy, scaling policy, update policy and so on.
- .
- Senlin is designed to be capable of managing different types of objects. An
- object's lifecycle is managed using profile type implementations, which are
- themselves plugins.
- .
- This package provides the Python 2.7 library.
-
 Package: python3-senlin
 Section: python
 Architecture: all
@@ -188,7 +89,7 @@
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-openstacksdk (>= 0.11.2),
+ python3-openstacksdk (>= 0.17.2),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
@@ -199,6 +100,7 @@
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.4.0),
@@ -215,20 +117,20 @@
  python3-yaml (>= 3.12),
  ${misc:Depends},
  ${python3:Depends},
-Description: clustering service for OpenStack clouds - Python 3.x
- Senlin is a clustering service for OpenStack clouds. It creates and operates
- clusters of homogeneous objects exposed by other OpenStack services. The goal
- is to make the orchestration of collections of similar objects easier.
- .
- Senlin provides RESTful APIs to users so that they can associate various
- policies to a cluster. Sample policies include placement policy, load
- balancing policy, health policy, scaling policy, update policy and so on.
- .
- Senlin is designed to be capable of managing different types of objects. An
- object's lifecycle is managed using profile type implementations, which are
- themselves plugins.
- .
- This package provides the Python 3.x library.
+Description: clustering service for OpenStack clouds - Python 3
+ Senlin is a clustering service for OpenStack clouds. It creates and operates
+ clusters of homogeneous objects exposed by other OpenStack services. The goal
+ is to make the orchestration of collections of similar objects easier.
+ .
+ Senlin provides RESTful APIs to users so that they can associate various
+ policies to a cluster. Sample policies include placement policy, load
+ balancing policy, health policy, scaling policy, update policy and so on.
+ .
+ Senlin is designed to be capable of managing different types of objects. An
+ object's lifecycle is managed using profile type implementations, which are
+ themselves plugins.
+ .
+ This package provides the Python 3 library.
 
 Package: senlin-api
 Architecture: all
@@ -258,7 +160,7 @@
  adduser,
  dbconfig-common,
  debconf,
- python-senlin (= ${binary:Version}) | python3-senlin (= ${binary:Version}),
+ python3-senlin (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
 Description: clustering service for OpenStack clouds - common files
