## senlin 7.0.0~b1

=== debian/changelog ===
senlin (7.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 21:36:55 -0400

senlin (7.0.0~b1~git2019013112.2abc1e3e-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 12:48:20 -0500
