## senlin 7.0.0~rc1

=== debian/changelog ===
senlin (7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 10:38:12 -0400
