## senlin 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0
-openstacksdk>=0.17.2 # Apache-2.0
+openstacksdk>=0.24.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
