=== debian/control ===
--- 
+++ 
@@ -20,9 +20,11 @@
 Build-Depends-Indep:
  git,
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-docker (>= 2.4.2),
  python3-eventlet (>= 0.18.2),
+ python3-flake8 (>= 2.5.4),
  python3-hacking (>= 0.12.0),
  python3-jsonpath-rw (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
@@ -32,7 +34,7 @@
  python3-migrate (>= 0.11.0),
  python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-openstacksdk (>= 0.17.2),
+ python3-openstacksdk (>= 0.24.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -43,6 +45,7 @@
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
@@ -62,6 +65,7 @@
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tempest (>= 1:17.1.0),
+ python3-tenacity (>= 5.0.3),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-tz (>= 2013.6),
@@ -89,7 +93,7 @@
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-migrate (>= 0.11.0),
- python3-openstacksdk (>= 0.17.2),
+ python3-openstacksdk (>= 0.24.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
@@ -98,6 +102,7 @@
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
@@ -111,7 +116,7 @@
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stevedore (>= 1:1.20.0),
- python3-tenacity (>= 4.9.0),
+ python3-tenacity (>= 5.0.3),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
  python3-yaml (>= 3.12),
