=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc,systemd
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_clean:
@@ -44,13 +43,12 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	rm -rf $(CURDIR)/debian/python-senlin
 	rm -rf $(CURDIR)/debian/python3-senlin
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 	rm -rf $(CURDIR)/debian/python*-senlin/usr/etc/*
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
+	pkgos-dh_auto_test --no-py2 'senlin\.tests\.unit\.(?!(.*test_common_context.TestRequestContext.test_request_context_from_dict.*|.*test_common_context.TestRequestContext.test_request_context_init.*|.*test_common_context.TestRequestContext.test_request_context_update.*))'
 endif
 	cp -auxf senlin/db/sqlalchemy/migrate_repo $(CURDIR)/debian/python3-senlin/usr/lib/python3/dist-packages/senlin/db/sqlalchemy
 	mkdir -p $(CURDIR)/debian/senlin-common/usr/share/senlin-common
